package com.fp.armas.portal.model;

import java.io.Serializable;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;


/**
 * The persistent class for the TGENECATALOGDETAIL database table.
 * 
 */
@Entity
public class Tgenecatalogdetail implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TgenecatalogdetailPK id;

	private String description;

	private String legalcode;

	private Long recordversion;

	//bi-directional many-to-one association to Tgenecatalog
	//@ManyToOne(fetch=FetchType.LAZY)
	//@JoinColumn(name="catalogcode")
	//private Tgenecatalog tgenecatalog;

	public Tgenecatalogdetail() {
	}

	public TgenecatalogdetailPK getId() {
		return this.id;
	}

	public void setId(TgenecatalogdetailPK id) {
		this.id = id;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getLegalcode() {
		return this.legalcode;
	}

	public void setLegalcode(String legalcode) {
		this.legalcode = legalcode;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}
        /**
	public Tgenecatalog getTgenecatalog() {
		return this.tgenecatalog;
	}

	public void setTgenecatalog(Tgenecatalog tgenecatalog) {
		this.tgenecatalog = tgenecatalog;
	}
        * */
        
}